Run one read-only SELECT statement
Run one read-only SELECT statement. Every table the statement reads must be declared in tables as schema.table; joins, CTEs, and aggregations are allowed, user-defined functions and writes are not.
Authorization
bearerApiKey Create a scoped API key in the Adlass settings.
In: header
Path Parameters
Resource identifier: connection_id.
uuidHeader Parameters
Optional correlation identifier.
length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/postgres/sql/select" \ -H "Content-Type: application/json" \ -d '{ "sql": "example", "tables": [ "example" ] }'{ "columns": [], "rows": [], "row_count": 0, "has_more": false, "truncated": false}